> ## Documentation Index
> Fetch the complete documentation index at: https://docs.marketdataset.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /macro/calendar

> Economic calendar events for G10 currencies

## Endpoint

```
GET https://api.marketdataset.ai/macro/calendar
```

Covers high, medium, and low impact economic releases including:

* Central bank rate decisions (Fed, ECB, BoE, BoJ, etc.)
* Inflation: CPI, PCE, PPI
* Employment: NFP, unemployment rate, jobless claims
* Growth: GDP, retail sales, industrial production
* Sentiment: PMI, consumer confidence, ISM

## Parameters

| Name         | Type    | Required | Description                                                  |
| ------------ | ------- | -------- | ------------------------------------------------------------ |
| `country`    | string  | No       | Country code: `US`, `EU`, `GB`, `JP`, `CH`, `AU`, `NZ`, `CA` |
| `impact`     | string  | No       | `low`, `medium`, `high`                                      |
| `start_date` | string  | No       | ISO 8601 date                                                |
| `end_date`   | string  | No       | ISO 8601 date                                                |
| `limit`      | integer | No       | Records to return (default: `100`, max: `500`)               |
| `cursor`     | string  | No       | Pagination cursor                                            |

## Credit cost

**\$0.010** per request

## Example request

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.marketdataset.ai/macro/calendar?country=US&impact=high&limit=5" \
    -H "X-API-KEY: sk_your_key"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.marketdataset.ai/macro/calendar",
      params={"country": "US", "impact": "high", "limit": 5},
      headers={"X-API-KEY": "sk_your_key"},
  )
  print(response.json())
  ```
</CodeGroup>

## Example response

```json theme={null}
{
  "events": [
    {
      "event_name": "Non-Farm Payrolls",
      "country": "US",
      "currency": "USD",
      "event_date": "2024-11-01T12:30:00+00:00",
      "impact": "high",
      "actual": "12K",
      "forecast": "113K",
      "previous": "223K"
    }
  ],
  "next_page_url": null,
  "meta": {
    "request_id": "req_abc123",
    "credits_used": 0.01,
    "credits_remaining": 49.99
  }
}
```

## Fields

| Field        | Description                                  |
| ------------ | -------------------------------------------- |
| `event_name` | Name of the economic event                   |
| `country`    | 2-letter country code                        |
| `currency`   | Affected currency                            |
| `event_date` | Scheduled release datetime (UTC)             |
| `impact`     | Market impact level: `low`, `medium`, `high` |
| `actual`     | Released value (null if not yet released)    |
| `forecast`   | Consensus forecast                           |
| `previous`   | Previous period value                        |
